Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type Type

    @Target(value={FIELD,METHOD})
    @Retention(value=RUNTIME)
    public @interface Type

hibernate type

Required Element Summary
`String` | `type`

Optional Element Summary
`Parameter[]` | `parameters`

Element Detail

### type

    public abstract String type

### parameters

    public abstract Parameter[] parameters

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.